import Foundation

enum SupportedLanguage {
    case german
    case english

    var gameSummarizer: GameSummarizer.Type {
        switch self {
        case .german:
            return GermanGameSummarizer.self
        case .english:
            return EnglishGameSummarizer.self
        }
    }
}
